package com.hhwy.qbeqsjy.common;

import io.jsonwebtoken.Claims;

import java.util.Locale;

/**
 * 通用常量信息
 * 
 * @author ruoyi
 */
public class Constants
{
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * 系统语言
     */
    public static final Locale DEFAULT_LOCALE = Locale.SIMPLIFIED_CHINESE;

    /**
     * www主域
     */
    public static final String WWW = "www.";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 通用成功标识
     */
    public static final String SUCCESS = "0";

    /**
     * 通用失败标识
     */
    public static final String FAIL = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 所有权限标识
     */
    public static final String ALL_PERMISSION = "*:*:*";

    /**
     * 管理员角色权限标识
     */
    public static final String SUPER_ADMIN = "admin";

    /**
     * 角色权限分隔符
     */
    public static final String ROLE_DELIMETER = ",";

    /**
     * 权限标识分隔符
     */
    public static final String PERMISSION_DELIMETER = ",";

    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 令牌
     */
    public static final String TOKEN = "token";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Bearer ";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "login_user_key";

    /**
     * 用户ID
     */
    public static final String JWT_USERID = "userid";

    /**
     * 用户名称
     */
    public static final String JWT_USERNAME = Claims.SUBJECT;

    /**
     * 用户头像
     */
    public static final String JWT_AVATAR = "avatar";

    /**
     * 创建时间
     */
    public static final String JWT_CREATED = "created";

    /**
     * 用户权限
     */
    public static final String JWT_AUTHORITIES = "authorities";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi:";

    /**
     * LDAP 远程方法调用
     */
    public static final String LOOKUP_LDAP = "ldap:";

    /**
     * LDAPS 远程方法调用
     */
    public static final String LOOKUP_LDAPS = "ldaps:";

    /**
     * 自动识别json对象白名单配置（仅允许解析的包名，范围越小越安全）
     */
    public static final String[] JSON_WHITELIST_STR = { "org.springframework", "com.ruoyi" };

    /**
     * 定时任务白名单配置（仅允许访问的包名，如其他需要可以自行添加）
     */
    public static final String[] JOB_WHITELIST_STR = { "com.ruoyi.quartz.task" };

    /**
     * 定时任务违规的字符
     */
    public static final String[] JOB_ERROR_STR = { "java.net.URL", "javax.naming.InitialContext", "org.yaml.snakeyaml",
            "org.springframework", "org.apache", "com.ruoyi.common.utils.file", "com.ruoyi.common.config", "com.ruoyi.generator" };


    public static final String PARAMS_EMPTY_MSG = "请求参数为空";
    public static final String PARAMS_ILLEGAL_MSG = "请求参数非法";
    public static final String SERVER_ERROR_MSG = "服务端处理请求发生异常";
    public static final String TASK_RUN_ERROR_MSG = "任务执行失败";

    public static final String CTRL_TODO_MSG = "账号等待布控中，请勿重复发起布控";
    public static final String STOP_CTRL_TODO_MSG = "账号等待停控中，请勿重复发起停控";
    public static final String CTRL_FAIL_MSG = "账号布控失败";
    public static final String STOP_CTRL_FAIL_MSG = "账号停控失败";

    public static final String EMPTY_STRING = "";

    /**
     * 资源目录信息获取失败
     */
    public static final int REQ_RES_CATALOG_FAIL = 1003;
    /**
     * 其他异常
     */
    public static final int REQ_OTHER_EXCEP = 1999;
    /**
     * 其他异常
     */
    public static final String QUERY_OTHER_EXCEP = "2999";
    /**
     * 查询成功
     */
    public static final String QUERY_SUC = "2001";
    /**
     * 待布控
     */
    public static final String CTRL_TODO = "4";
    /**
     * 业务视为‘布控中’
     */
    public static final String CTRL_ING = "10";
    /**
     * 待停控
     */
    public static final String STOP_CTRL_TODO = "5";
    /**
     * 业务视为‘停控中’
     */
    public static final String STOP_CTRL_ING = "9";

    public static final String CTRL_SUCCESS = "0";
    public static final String CTRL_FAIL = "1";
    public static final String STOP_CTRL_SUCCESS = "2";
    public static final String STOP_CTRL_FAILURE = "3";


    public static final int SUCCESSSTATUS = 200;
    public static final int ERRSTATUS = 400;
    public static final String STR_NUM_1 = "1";

    public static final long NUM_1539100800 = 1539100800L;
    public static final double TJ_LON = 117.217;
    public static final double TJ_LAT = 39.14;
    public static final long L_1000 = 1000L;
    public static final Double D_6 = 6.0d;
    public static final Double D_0 = 0.0d;
    public static final long L_0 = 0L;
    public static final long NUMBER_3000L = 3000L;
    public static final long NUMBER_2000L = 2000L;
    public static final int NUM_7776000 = 7776000;
    public static final int NUM_900000 = 900000;
    public static final int NUM_259200 = 259200;
    public static final int NUM_180000 = 180000;
    public static final int NUM_60000 = 60000;
    public static final int NUM_86400 = 86400;
    public static final int NUM_23456 = 23456;
    public static final int NUM_9000 = 9000;
    public static final int NUM_7200 = 7200;
    public static final int NUM_6500 = 6500;
    public static final int NUM_1000 = 1000;
    public static final int NUM_300 = 300;
    public static final int NUM_200 = 200;
    public static final int NUM_180 = 180;
    public static final int NUM_60 = 60;
    public static final int NUM_30 = 30;
    public static final int NUM_25 = 25;
    public static final int NUM_20 = 20;
    public static final int NUM_16 = 16;
    public static final int NUM_14 = 14;
    public static final int NUM_12 = 12;
    public static final int NUM_11 = 11;
    public static final int NUM_10 = 10;
    public static final int NUM_9 = 9;
    public static final int NUM_8 = 8;
    public static final int NUM_7 = 7;
    public static final int NUM_6 = 6;
    public static final int NUM_5 = 5;
    public static final int NUM_4 = 4;
    public static final int NUM_3 = 3;
    public static final int NUM_2 = 2;
    public static final int NUM_1 = 1;
    public static final int NUM_0 = 0;

    public static final String HENG_XIAN = "-";
    public static final String MAO_HAO = ":";
    public static final String KONG_GE = " ";

    public static final String CTRL_PROCESS_SUCESS = "1001";
    public static final String CTRL_EXIST = "1005";
    public static final String STOP_CTRL_EXIST = "1006";

    public static final String DATACODE = "6000";
    public static final String PARSE_FLAG_UNDONE = "0";
    public static final String PARSE_FLAG_NOT = "1";
    public static final String PARSE_FLAG_NOINFO = "2";
    public static final String PARSE_FLAG_DONE = "3";
    public static final String DATASOURCE_EXTRACT = "1";
    public static final String IMEI_FLAG_COMPLETE = "1";
    public static final String IMEI_FLAG_ERROR = "2";
    public static final String NEWMOBILE_FLAG_UNDONE = "0";
    public static final String NEWMOBILE_FLAG_PROCESSING = "1";
    public static final String NEWMOBILE_FLAG_COMPLETE = "2";
    public static final String NEWMOBILE_TAG_DEFAULT = "0";
    public static final String NEWMOBILE_TAG_STEADY = "1";
    public static final String NEWMOBILE_TAG_TEST = "2";
    public static final String PERSONINFO_FLAG_COMPLETE = "1";

    public static final String QQ_DICT = "1030001";
    public static final String WX_DICT = "1030036";
    public static final String ZJLX_DICT_IDNO = "ZJLX-430";
    public static final String AJRYLX_DICT_DANGSHIREN = "AJRYLX-5";
    public static final String ACTIVE_TRACE_DICT_HOMETYPE = "1";
    public static final String ACTIVE_TRACE_DICT_WORKTYPE = "2";

    /*public static final String PROPS_FILE ="config/tj-my-jzdata.properties";*/
    public static final Integer TIMEOUT = 10;
    public static final String SPLITSTR = "\u0019";
    public static final String PHONE_REGEX = "^1[0-9]{10}$";
    public static final String IDNO_REGEX = "";
    public static final Integer MAXWAIT = 60000;
    public static final Integer RUNSMILLIS = 60000;
    public static final Integer MINTIME = 300000;
    public static final Integer CONNECTSIZE = 20;

    // 程序名称  日志使用
    public static final String SERVICE_NAME = "SKPW_DB_TOOL --->";



    /**
     * 返回status值对应说明
     */
    public static final String STATUS_200_MSG = "成功!";
    public static final String STATUS_500_MSG = "系统内部处理异常";
    public static final String STATUS_585_MSG = "参数校验异常";
    public static final String STATUS_587_MSG = "数据库原始数据异常";
    public static final String STATUS_588_MSG = "传入token信息异常";

    /**
     * status值
     */
    public static final int STATUS_200 = 200;
    public static final int STATUS_500 = 500;
    public static final int STATUS_585 = 585;
    public static final int STATUS_587 = 587;
    public static final int STATUS_588 = 588;


    //http连接配置
    public static final int SOCKET_TIME_OUT = 1800000;
    public static final int CONNECT_TIME_OUT =600000;
    public static final int REQUEST_TIME_OUT =600000;



    public static final String  ACTIVE_HOME_TYPE = "1";

    /**
     * 经纬度查询名址
     */
    public static final String GET_LT_ADDR = "http://GIS_IP:GIS_Port/FHGis/geocoder/inverse?";
    //http://15.88.28.115:9150/FHGis/geocoder/inverse?lon=117.435962&lat=39.672619

    /**
     * 名址查经纬度
     */
    public static final String GET_ADDR_LT = "http://GIS_IP:GIS_Port/FHGis/geocoder/forward?address=";
    //http://15.88.28.115:9150/FHGis/geocoder/forward?address=宝坻区水苑小区

    /**
     * 查人员活跃地
     */
    public static final String GET_ACTIVE_ADDR = "http://location_Ip:location_Port/trace_detail/v4/location/active/account?";
    //http://15.88.28.145:8686/trace_detail/v4/location/active/account?accounttype=tel&account=18920718758&starttime=1579752238&endtime=1580875438

    /**
     * 推荐地址类型： 优先级依次是 1---5   1:最准确   5最差
     */
    public static final Integer 	EXACT_ADDR_TYPE_1 = 1;
    public static final String 	EXACT_ADDR_TYPE_1_VALUE = "活跃居住地推荐（准确度最高）";

    public static final Integer 	EXACT_ADDR_TYPE_2 = 2;
    public static final String 	EXACT_ADDR_TYPE_2_VALUE = "依据活跃地所属行政区划推荐的明址(可信度适中)";

    public static final Integer 	EXACT_ADDR_TYPE_3 = 3;
    public static final String 	EXACT_ADDR_TYPE_3_VALUE = "活跃地基站地址(位置可信度高，但无实际住址)";

    public static final Integer 	EXACT_ADDR_TYPE_4 = 4;
    public static final String 	EXACT_ADDR_TYPE_4_VALUE = "无活跃信息, 推荐系统地址(可信度低)";

    public static final Integer 	EXACT_ADDR_TYPE_5 = -1;
    public static final String 	EXACT_ADDR_TYPE_5_VALUE = "无名址信息、无活跃信息";

    public static final String MOBILE_ADDR_SERVICE_URL = "http://mobileAddrServiceIP:mobileAddrServicePort/api/v1/addrService/active";
    public static final String MOBILE_ADDR_SERVICE_URL_BY_KEPLER = "http://keplerIP:keplerIP/gateway/FH_TJ_ADDRESS_EXACT/api/v1/addrService/active";

    // 日志操作类型
    public static final String LOG_TYPE_INSERT = "INSERT";
    public static final String LOG_TYPE_UPDATE = "UPDATE";
    public static final String LOG_TYPE_QUERY = "QUERY";
    public static final String LOG_TYPE_DELETE = "DELETE";
    public static final String LOG_TYPE_LOGIN = "LOGIN";
    public static final String LOG_TYPE_LOGOUT = "LOGOUT";
    public static final String LOG_TYPE_TREAT = "TREAT";
    public static final String LOG_TYPE_MONITOR = "MONITOR";
    public static final String LOG_TYPE_DISMONITOR = "DISMONITOR";
    public static final String LOG_TYPE_IMPORT = "IMPORT";
    public static final String LOG_TYPE_EXPORT = "EXPORT";
    public static final String LOG_TYPE_INTERRUPT = "INTERRUPT";
    public static final String LOG_TYPE_CANCEL = "CANCEL";
    public static final String LOG_TYPE_EXEC = "EXEC";
    public static final String LOG_TYPE_APPROVAL = "APPROVAL";
    public static final String LOG_TYPE_COMMENT = "COMMENT";
    public static final String LOG_TYPE_FEEDBACK = "FEEDBACK";
    public static final String LOG_TYPE_STAMP = "STAMP";
    public static final String LOG_TYPE_BROWSE = "BROWSE";
    public static final String LOG_TYPE_REDO = "REDO";
    public static final String LOG_TYPE_COUNT = "COUNT";
    public static final String LOG_TYPE_PROJECT = "PROJECT";
    public static final String LOG_TYPE_BACKUP = "BACKUP";
    public static final String LOG_TYPE_ENABLED = "ENABLED";
    public static final String LOG_TYPE_DISABLED = "DISABLED";
    public static final String LOG_TYPE_UPLOAD = "UPLOAD";
    public static final String LOG_TYPE_DOWNLOAD = "DOWNLOAD";
    public static final String LOG_TYPE_REFRESH = "REFRESH";
    public static final String LOG_TYPE_LOGIN_FAIL = "LOGIN_FAIL";
    public static final String LOG_TYPE_USE_FUNCTION = "USE_FUNCTION";
    public static final String LOG_TYPE_QUERY_MATCH_WHITELIST = "QUERY_MATCH_WHITELIST";
    public static final String LOG_TYPE_MOVE = "MOVE";
    public static final String LOG_TYPE_ARCHIVECASE = "ARCHIVECASE";
    public static final String LOG_TYPE_CONTROL = "CONTROL";
    public static final String LOG_TYPE_HANDOVER = "HANDOVER";
    public static final String LOG_TYPE_MERGE = "MERGE";
    public static final String LOG_TYPE_OVERCASE = "OVERCASE";
    public static final String LOG_TYPE_BATCH_QUERY = "BATCH_QUERY";
    public static final String LOG_TYPE_RELEASE = "RELEASE";
    public static final String LOG_TYPE_SHARE = "SHARE";
}
