package com.hhwy.qbeqsjy.common;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @author YHG 20181101
 */
public class TimeTool {


	
	/**
	 * 获取当前时间的绝对秒
	 * @return nowTimeStamp
	 */
	public static Long getNowTimeStamp(){
		Date date = new Date();
		Long nowTimeStamp = date.getTime() / Constants.NUM_1000;
		return nowTimeStamp;
	}
	
	/**
	 * 获取今天0点0分0秒的绝对秒
	 * @return todayStartTimeStamp
	 */
	public static Long getTodayStartTimeStamp(){
		Date date = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		String todayDate = sdf.format(date);
		Long todayStartTimeStamp = Constants.NUM_1539100800;
		try {
			todayStartTimeStamp = sdf.parse(todayDate).getTime() / Constants.NUM_1000;
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return todayStartTimeStamp;
	}
	
	/**
	 * 获取从当前时间向前推若干天的绝对秒
	 * @param days 向前推的天数
	 * @return
	 */
	public static Long getTimeStampBeforeToday(int days){
		Calendar c = Calendar.getInstance();
		c.add(Calendar.DAY_OF_YEAR, -days);
		return c.getTimeInMillis() / Constants.NUM_1000;
	}
	
	/**
	 * 将绝对秒转换为时间字符串(时间字符串格式为yyyy-MM-dd HH:mm:ss)
	 * @param timeStamp 绝对秒
	 * @return dateString 时间字符串
	 */
	public static String timeStampToDateString(Long timeStamp) {
	    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	    String dateString = sdf.format(timeStamp * Constants.NUM_1000);
	    return dateString;
	}

	/**
	 * 将绝对秒转换为时间字符串(时间字符串格式为yyyy-MM-dd)
	 * @param timeStamp 绝对秒
	 * @return dateString 时间字符串
	 */
	public static String timeStampToDateString2(Long timeStamp) {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		String dateString = sdf.format(timeStamp * Constants.NUM_1000);
		return dateString;
	}

	public static String timeStampToDateString3(Long timeStamp) {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
		String dateString = sdf.format(timeStamp * Constants.NUM_1000);
		return dateString;
	}
	
	/**
	 * 将时间字符串转换为绝对秒(时间字符串格式为yyyy-MM-dd HH:mm:ss)
	 * @param dateString 时间字符串
	 * @return timeStamp 绝对秒
	 */
	public static int dateStringToTimeStamp(String dateString){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		Date date = null;
		try {
			date = sdf.parse(dateString);
		} catch (ParseException e) {
			e.printStackTrace();
			return 0;
		}
		int timeStamp = (int) (date.getTime() / Constants.NUM_1000);
		return timeStamp;
	}

	/**
	 * 将时间字符串转换为绝对秒(时间字符串格式为yyyyMMdd)
	 * @param dateString 时间字符串
	 * @return timeStamp 绝对秒
	 */
	public static int dateStringToTimeStamp2(String dateString){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		Date date = null;
		try {
			date = sdf.parse(dateString);
		} catch (ParseException e) {
			e.printStackTrace();
			return 0;
		}
		int timeStamp = (int) (date.getTime() / Constants.NUM_1000);
		return timeStamp;
	}
	
}
